%define major 0
%define lib_name %mklibname visio %major

Name: libvisio
Version: 0.0.24
Release: %mkrel 2
Summary: A library providing ability to interpret and import visio diagrams
Group:   System/Libraries 
License: GPL+ or LGPLv2+ or MPLv1.1
URL: http://www.freedesktop.org/wiki/Software/libvisio
Source: http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.xz
Patch0: libvisio-0.0.24-automake-1.13.patch
BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: gperf
BuildRequires: zlib-devel
BuildRequires: pkgconfig(libwpd-0.9)
BuildRequires: pkgconfig(libwpg-0.2)
BuildRequires: pkgconfig(libxml-2.0)

%description
Libvisio is library providing ability to interpret and import visio
diagrams into various applications. You can find it being used in
libreoffice.

#--------------------------------------------------------------------

%package -n %lib_name
Summary: Development files for %{name}
Group:   System/Libraries 

%description -n %lib_name
Libvisio is library providing ability to interpret and import visio
diagrams into various applications. You can find it being used in
libreoffice.

%files -n %lib_name
%{_libdir}/%{name}-0.0.so.*

#--------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group:   Development/C
Requires: %{lib_name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files devel
%{_includedir}/%{name}-0.0
%{_libdir}/%{name}-0.0.so
%{_libdir}/pkgconfig/%{name}-0.0.pc

#--------------------------------------------------------------------

%package doc
Summary: Documentation of %{name} API
Group:   Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%files doc
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html

#--------------------------------------------------------------------

%package tools
Summary: Tools to transform Visio diagrams into other formats
Group:   Publishing 

%description tools
Tools to transform Visio diagrams into other formats.
Currently supported: XHTML, raw.

%files tools 
%{_bindir}/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
./autogen.sh
%configure2_5x --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make


%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.0.24-2.mga3
+ Revision: 358358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 0.0.24-1.mga3
+ Revision: 338449
- fix for automake 1.13
- 0.0.24

* Thu Nov 08 2012 fwang <fwang> 0.0.20-1.mga3
+ Revision: 316316
- update file list
- use autogen
- fix linkage
- br libxml
- br gperf
- new version 0.0.20

* Tue Oct 16 2012 malo <malo> 0.0.19-2.mga3
+ Revision: 307333
- update RPM group

* Sun Sep 02 2012 fwang <fwang> 0.0.19-1.mga3
+ Revision: 287250
- update file list
- new version 0.0.19

* Fri Jun 01 2012 fwang <fwang> 0.0.17-1.mga3
+ Revision: 252683
- new version 0.0.17

* Mon Mar 05 2012 fwang <fwang> 0.0.15-1.mga2
+ Revision: 218361
- new version 0.0.15

  + dmorgan <dmorgan>
    - imported package libvisio

